## sync

#### OS/161 Reference Manual

### Name

sync - synchronize buffers to disk

### Synopsis

`/bin/sync`

### Description

`sync` causes filesystem I/O buffers that have been modified but not yet written to be written to disk.

### Requirements

`sync` uses the sync system call, and of course _exit.

`sync` should function once the sync system call is wired up. This is likely part of the file system assignment